program TestSetup

  use fileset
  use debugset
  use gridset
  use timeset
  use basicset

  character(80) :: cfgfile

  !----------------------------------------------------------------------
  ! 初期化
  !----------------------------------------------------------------------
  !NAMELIST ファイルの取得
  call getarg( 1, cfgfile )
  write(*,*) "Input NAMELIST file: ", cfgfile
  
  !I/O ファイル名の初期化
  !  NAMELIST ファイル名を指定し, deepconv/arare の
  !  出力ファイル名を NAMELIST から得る
  call fileset_init(cfgfile)
  
  !デバグ設定の初期化
  !  NAMELIST から情報を得て, デバッグ出力スイッチの切替えを行う.  
  call debugset_init(cfgfile)
  
  !時刻に関する設定の初期化
  !  NAMELIST から必要な情報を読み取り, 時間関連の変数の設定を行う. 
  call timeset_init(cfgfile)

  !物理的・化学的定数の初期化
  !  計算に利用する化学種および, 比熱, 分子量, NameList ファイルから arare 実行に必要なパラメタを取得する
!  call dataset_init(cfgfile)

  !格子点情報の初期化
  !  NAMELIST から情報を得て, 格子点を計算する
  call gridset_init(cfgfile)
  
  !基本場情報の初期化
  !  NAMELIST から情報を得て, 基本場を計算する
  call BasicSet_init(cfgfile)
  
end program TestSetup
